#!/bin/bash
#

source ${PRODUCTS}/setup
flvr=`ups flavor`
gccdir=${PRODUCTS}/gcc/v4_5_1/${flvr}

if [ -z ${flvr} ]
then
   echo "ERROR: could not determine flavor for this platform"
   echo "       something is very wrong"
   exit 1
fi

mkdir -p ${gccdir}/src
if [ ! -d ${gccdir}/src ]
then
   echo "ERROR: failed to create ${gccdir}/src"
   exit 1
fi

# declare and then setup gcc
echo "Declaring gcc v4_5_1 for flavor ${flvr}"
OS=`uname`
if [ ${OS} = "Darwin" ]
then
   ups declare gcc v4_5_1 -r gcc/v4_5_1 -2 -m gcc.table
else 
   ups declare gcc v4_5_1 -r gcc/v4_5_1 -4 -m gcc.table
fi

# this will complain because the bin directory does not yet exist
setup gcc v4_5_1

if [ ! -d ${GCC_FQ_DIR} ]
then
   echo "ERROR: cannot find gcc directory ${GCC_FQ_DIR}"
   exit 1
fi
cd ${GCC_FQ_DIR}
rm -f /tmp/build-gcc-v4_5_1

ups build gcc v4_5_1

if [ ! -d ${gccdir}/bin ]
then
   echo "ERROR: failed to create ${gccdir}/bin"
   echo "       Something is very wrong"
   exit 1
fi

# this should not complain
echo "Finished building gcc for flavor ${flvr}"
setup gcc v4_5_1

exit 0
